---
title: "List recipient events"
description: "Returns all events for a specific recipient, sorted with the most recent first."
canonical: "https://signatureapi.com/docs/api/resources/events/recipient"
source: "https://signatureapi.com/docs/api/resources/events/recipient.md"
last_verified_api_version: "1.18.0"
last_modified: "2026-11-17T18:49:18Z"
---

# List recipient events

Returns all events for a specific recipient, sorted with the most recent first.

_Last verified against API version 1.18.0._

Returns a list of events for a specific recipient. Events are sorted by timestamp, with the most recent appearing first.

Results include only recipient events, such as delivery, signing, and bounce events.

### Path parameters

#### `recipient_id` (string, path, required)

The unique identifier of the recipient.

### Query parameters

#### `type` (enum, query)

Filter by event type. For example, `recipient.completed` or `recipient.sent`.

For the full list of event types available when listing recipient events, see [Recipient Events](https://signatureapi.com/docs/api/resources/events/recipient-events).

#### `limit` (integer, query)

The maximum number of objects to return. Minimum is `1`, maximum is `20`. Defaults to `20`.

### Returns

Returns a `200 OK` status with a [paginated](https://signatureapi.com/docs/api/pagination) list of [event objects](https://signatureapi.com/docs/api/resources/events/object) on success, or an [error](https://signatureapi.com/docs/api/errors) otherwise.

### Example: Standard

The events of one recipient, newest first.

```http
GET /v1/recipients/re_49r1R2jpPDz8hSpP75ZkPp/events HTTP/1.1
Host: api.signatureapi.com
X-API-Key: YOUR_API_KEY
```

Response 200 OK:

```json
{
  "links": {
    "next": "https://api.signatureapi.com/v1/recipients/re_49r1R2jpPDz8hSpP75ZkPp/events?cursor=seq_0iuY6HcQ2x",
    "previous": null
  },
  "data": [
    {
      "id": "evt_7BFIYuMgWzJ1AHscS0RNxC",
      "type": "recipient.completed",
      "timestamp": "2026-11-02T15:21:39.000Z",
      "data": {
        "object_id": "re_49r1R2jpPDz8hSpP75ZkPp",
        "object_type": "recipient",
        "envelope_id": "eb4cf433-a8af-4161-b37b-7ef57d423e56",
        "envelope_metadata": {},
        "recipient_type": "signer",
        "recipient_key": "client",
        "session_id": "ses_1chIEkLOtmUMSdo0aL8p9A"
      }
    },
    {
      "id": "evt_45b62ui33fCihBWpW2kWDa",
      "type": "recipient.sent",
      "timestamp": "2026-11-02T14:03:14.000Z",
      "data": {
        "object_id": "re_49r1R2jpPDz8hSpP75ZkPp",
        "object_type": "recipient",
        "envelope_id": "eb4cf433-a8af-4161-b37b-7ef57d423e56",
        "envelope_metadata": {},
        "recipient_type": "signer",
        "recipient_key": "client"
      }
    }
  ]
}
```

Response 404 Not Found:

```json
{
  "type": "https://signatureapi.com/docs/v1/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "Recipient not found."
}
```

Errors that any request can return (authentication, rate limits, server errors) are on the [Errors](https://signatureapi.com/docs/api/errors) and [Authentication](https://signatureapi.com/docs/api/authentication) pages.
